	function check_value(){
        if (developer.speedy0.value == '') {
			document.getElementById("alert").style.display = "";
            return false;
        }
	document.getElementById("speedyup").style.display = "none";
	document.getElementById("loading").style.display = "";
	}
	
	function check_search(){
        if (search.searchword.value == '') {
			document.getElementById("errorsearch").style.display = "";
            return false;
        }
	document.getElementById("searchform").style.display = "none";
	document.getElementById("loading").style.display = "";
	}
	
	function update_pass_check(){
        if (usercp.oldpass.value == '') {
			document.getElementById("oldpass").style.display = "";
            return false;
        }else if (usercp.newpass.value == '') {
			document.getElementById("newpass").style.display = "";
            return false;
        }else if (usercp.checkpass.value == '') {
			document.getElementById("checkpass").style.display = "";
            return false;
        }
	document.getElementById("passdiv").style.display = "none";
	document.getElementById("loading").style.display = "";
	}

	function check_register(){
        if (form.username.value == '') {
			document.getElementById("username").style.display = "";
            return false;
        }else if (form.password.value == '') {
			document.getElementById("password").style.display = "";
            return false;
        }else if (form.cpssword.value == '') {
			document.getElementById("cpssword").style.display = "";
            return false;
        }else if (form.usermail.value == '') {
			document.getElementById("usermail").style.display = "";
            return false;
        }else if (form.password.value !== form.cpssword.value) {
			document.getElementById("notmatched").style.display = "";
            return false;
        }
	document.getElementById("registerform").style.display = "none";
	document.getElementById("loadingregister").style.display = "";
	}

	function check_login(){
        if (form.username.value == '') {
			document.getElementById("username").style.display = "";
            return false;
        }else if (form.password.value == '') {
			document.getElementById("password").style.display = "";
            return false;
        }
	document.getElementById("loginform").style.display = "none";
	document.getElementById("loadingLog").style.display = "";
	}
	
	function select_language(){
		document.getElementById("languagemenu").style.display = "none";
		document.getElementById("loadlanguage").style.display = "";
	}
	
	function select_style(){
		document.getElementById("stylemenu").style.display = "none";
		document.getElementById("loadstyle").style.display = "";
	}
	
	function files_check(){
	document.getElementById("filesdiv").style.display = "none";
	document.getElementById("loadfiles").style.display = "";
	}
	
	function show_hide(id){
		var dev = document.getElementById(id);
			if(dev.style.display==""){
				dev.style.display = "none";
			}else{
				dev.style.display = "";
			}
	}
	
	function CheckAll( containerId, controllerContainerId ) {
		try {
			var container = document.getElementById( containerId );
			var controllerContainer = document.getElementById( controllerContainerId );
			var controller = controllerContainer.getElementsByTagName( "input" )[0];
			var allEls = container.getElementsByTagName( "input" );
		} catch( e ) {
			return;
		}
		var els = [];
		for( var i = 0, l = allEls.length; i < l; i++ ) {
			var thisEl = allEls[i];
			if( thisEl.type == "checkbox" && thisEl != controller ) {
					els.push( thisEl );
			}
		}
		controllerContainer.style.display = ( /div|blockquote|p|h[1-6]|li|dt/i.test( controllerContainer.tagName ) ) ? "block" : "inline";
		container = controllerContainer = allEls = null;
		controller.onclick = function() {
			for( var e in els ) {
					els[e].checked = this.checked;
			}
		}
	}
	
	function MM_jumpMenu(targ,selObj,restore){ //v3.0
	  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
	  if (restore) selObj.selectedIndex=0;
	}
